For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
              • GETGet Gift Certificate
              • PUTUpdate Gift Certificate
              • DELDelete Gift Certificate
              • GETList Gift Certificates
              • POSTCreate Gift Certificate
              • DELDelete All Gift Certificates
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentMarketingGift Certificates

Delete All Gift Certificates

DELETE
https://api.bigcommerce.com/stores/:store_hash/v2/gift_certificates
DELETE
/stores/:store_hash/v2/gift_certificates
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v2/gift_certificates \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
204No Content
1{}

By default, it deletes all Gift Certificates.

Was this page helpful?
Previous

Create Gift Certificate

Next

List Scripts

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Marketingmodifystore_v2_marketing
Marketingread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response